# Imagick::roundCorners

(PECL imagick 2.0.0)

Imagick::roundCorners — Rounds image corners

### Description

Imagick::roundCorners ( float `$x_rounding` , float `$y_rounding` [, float `$stroke_width` = 10 [, float `$displace` = 5 [, float `$size_correction` = -6 ]]] ) : bool

Rounds image corners. The first two parameters control the amount of rounding and the three last parameters can be used to fine-tune the rounding process. This method is available if Imagick has been compiled against ImageMagick version 6.2.9 or newer.

### Parameters

`x_rounding`

  x rounding

`y_rounding`

  y rounding

`stroke_width`

  stroke width

`displace`

  image displace

`size_correction`

  size correction

### Examples

Example #1 Using Imagick::roundCorners():

Rounds the image corners

`<?php
$image = new Imagick();
$image->newPseudoImage(100, 100, "magick:rose");
$image->setImageFormat("png");
$image->roundCorners(5,3);
$image->writeImage("rounded.png");
?>`

### Return Values

Returns `TRUE` on success.